%% Time2String : Converts a period of time in a string with the digital watch look
%
% ARGUMENTS   : time  -> Lapse of time between a tic and a toc commands
%
% RETURN VALUE: TimeDigital -> A string as 00:00:00
%

function TimeDigital = Time2String( time )

    compH = floor(time/(60*60));
    compT2 = time - compH*60*60;
    compM = floor((compT2)/60);
    compS = round(compT2 - compM*60);
    
    buffH='00';
    if (compH > 0) & (compH < 10),
         buffH=sprintf('0%.0f',compH); 
    elseif compM > 9,
         buffH=sprintf('%.0f',compH); 
    end;
    
    buffM='00';
    if (compM > 0) & (compM < 10),
         buffM=sprintf('0%.0f',compM); 
    elseif compM > 9,
         buffM=sprintf('%.0f',compM); 
    end;
    buffS='00';
    
    if (compS > 0) & (compS < 10),
         buffS=sprintf('0%.0f',compS); 
    elseif compS > 9
         buffS=sprintf('%.0f',compS); 
    end;
    
    TimeDigital=sprintf('%s:%s:%s',buffH,buffM,buffS);

end

