%% SESCREE : Standard Error Scree test for number of factors (Zoski & Jurs, 1996, EPM, p 443)
%

function sescree(R);

evals = sort((eig(R) * -1),1) * -1;

nevals = size(evals,1);

rootnum = (1:nevals)';

data = [ rootnum  evals ];

nfSCREE = 0;

%arbiter = 1 / nevals;
arbiter = 2 / nevals;

results = [ 1 1 1 ];

for loop = 1:nevals-2

    y = [ data(loop:nevals,2) ];

    n = size(y,1);
 
    x = [ ones(n,1)  data(loop:nevals,1) ];

    b = inv(x' * x) * x' * y;

    pred = x * b;
    
    sse = sum ( (y - pred).^2 );

    sderest = sqrt( sse / (n - 2) );

    results(loop,:) = [ evals(loop,1)  b(2,1)  sderest  ];

    if sderest > arbiter,
       nfSCREE = nfSCREE + 1; 
    end;

end;


disp([' ']);disp([' '])
disp(['The SE Estimate must be > the following value (1/nevals) for a component to be nontrivial: '])
disp([' ']);disp([arbiter ]);disp([' '])

disp(['     Root' '  Eigenvalue' '   Slope' '     SE Estimate' ]);disp([' '])
disp([ (1:size(results,1))'  results ]);disp([' '])

disp(['The number of factors is: '  num2str(nfSCREE) ]);disp([' ']);disp([' '])

disp(['SE Scree Test: Number of Factors =   ' num2str(nfSCREE)]); disp([' '])


